CH_LAB(1)

NAME
ch_lab - change/copy label files

SYNOPSIS
ch_lab [-S frame spacing] [-start time] [-end time] [-ext file extension] [-extract file] [-extend time] [-f sample frequency] [-lf sample frequency] [-itype file type] [-key key file] [-lablist list of labels] [-length time] [-map map file] [-name feature name] [-class class] [-o output file] [-otype file type] [-pad high | low] [-pos list of labels] [-q timestep] [-range range] [-sed sed file] [fl shift time delta] [-style output stype] [-vocab vocab file] [-verify] [-nopath] [-base] [-combine] [-divide] [-h] input files ...

DESCRIPTION
ch_lab copies from one or more input label files to an output label file, optionally performing various operations along the way.

The following option flags are recognized:

-h  Print a summary of usage to standard output.
-S frame spacing
    frame spacing of output
-start time
    start time, in seconds, for label extraction
-end time
    end time, in seconds, for label extraction
-ext file extension
    filename extension to use for multiple output files
-extract file
    extract a single file from a list of files
-extend time
    extend track file by time seconds beyond label file
-f sample frequency
    sample frequency of label file
-lf sample frequency
    sample frequency for labels
-itype file type
    type of input label file: esps htk ogi
-key key file
    key label file
-lablist list
    list of labels to be considered as blank
-length time
    length of track produced, in seconds
-map map file
    label mapping file
-name feature name
    eg. Fo Phoneme
-class class
    name of class defined in op file
-o output file
    output file name
-otype file type
    output file type: xmg, ascii, esps, htk
-pad high | low
    pad with high or low values
-pos list
    list of labels to be regarded as 'pos'
-q timestep
    quantize label timings to nearst value
-range range
    difference between high and low values
-sed sed file
    perform regex editing using sed file
fl shift time delta
    shift the times of the labels
-style output style
    output style e.g. track
-vocab file
    file containing list of words in vocabulary
-verify
    check that only labels in vocab file are in label file
-nopath
    ignore pathnames when searching label lists
-base
    use base filenames for lists of label files
-combine
-divide

SEE ALSO
ch_wave(1) ch_track(1)